---
suite: fsmark
testcase: fsmark
category: benchmark
perf-profile:
  delay: 1
iterations: 1x
nr_threads: 1t
disk: 1BRD_48G
need_memory: 50G
fs: ext4
fs2: nfsv4
fsmark:
  filesize: 4M
  test_size: 24G
  sync_method: fsyncBeforeClose
job_origin: fsmark-generic-1brd.yaml
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-csl-2sp3
tbox_group: lkp-csl-2sp3
job_file: "/lkp/jobs/scheduled/lkp-csl-2sp3/fsmark-performance-1BRD_48G-4M-ext4-nfsv4-1x-1t-fsyncBeforeClose-24G-debian-12-x86_64-20240206.cgz-9349d8ed5c28-20240526-6164-1wdl5ri-2.yaml"
id: 8ef9bd8f3a8cc6cd3239a0a6396da441867a9500
queuer_version: "/zday/lkp"
model: Cascade Lake
nr_node: 2
nr_cpu: 96
memory: 128G
nr_hdd_partitions: 1
nr_ssd_partitions: 2
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD2500BEKT-00PVMT0_WD-WX11A23L4840-part1"
ssd_partitions: "/dev/nvme1n1p1 /dev/nvme0n1p1"
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2CW240A3_CVCV204303WP240CGN-part1"
kernel_cmdline_hw: acpi_rsdp=0x68b85014
brand: Intel(R) Xeon(R) Platinum 8260L CPU @ 2.40GHz
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- BLK_DEV_RAM: m
- BLK_DEV: y
- BLOCK: y
- NFSD
- EXT4_FS
- NFS_V4
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
cpufreq_governor: performance
sanity-check:
commit: 9349d8ed5c28fa454a373af3435762d6828e6c2d
need_kconfig_hw:
- PTP_1588_CLOCK: y
- IGB: y
- SATA_AHCI
- BLK_DEV_NVME
ucode: '0x4003604'
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-05-26 17:02:52.716094045 +08:00
_rt: "/result/fsmark/performance-1BRD_48G-4M-ext4-nfsv4-1x-1t-fsyncBeforeClose-24G/lkp-csl-2sp3/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/9349d8ed5c28fa454a373af3435762d6828e6c2d"
compiler: gcc-13
head_commit: 586b0b16e142c18a72a2803380329bef5136f857
base_commit: a38297e3fb012ddfa7ce0321a7e5a8daeb1872b6
branch: linux-devel/devel-hourly-20240525-143015
rootfs: debian-12-x86_64-20240206.cgz
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240526-143422"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/fsmark/performance-1BRD_48G-4M-ext4-nfsv4-1x-1t-fsyncBeforeClose-24G/lkp-csl-2sp3/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/9349d8ed5c28fa454a373af3435762d6828e6c2d/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-13/9349d8ed5c28fa454a373af3435762d6828e6c2d/vmlinuz-6.9.0-12127-g9349d8ed5c28
- branch=linux-devel/devel-hourly-20240525-143015
- job=/lkp/jobs/scheduled/lkp-csl-2sp3/fsmark-performance-1BRD_48G-4M-ext4-nfsv4-1x-1t-fsyncBeforeClose-24G-debian-12-x86_64-20240206.cgz-9349d8ed5c28-20240526-6164-1wdl5ri-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=9349d8ed5c28fa454a373af3435762d6828e6c2d
- nmi_watchdog=0
- intremap=posted_msi
- acpi_rsdp=0x68b85014
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-13/9349d8ed5c28fa454a373af3435762d6828e6c2d/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240303.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-04b8076df253-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/fs_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/fs2_20240227.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/fsmark-x86_64-2628be5-1_20240224.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-2sp3/fsmark-performance-1BRD_48G-4M-ext4-nfsv4-1x-1t-fsyncBeforeClose-24G-debian-12-x86_64-20240206.cgz-9349d8ed5c28-20240526-6164-1wdl5ri-2.cgz"
last_kernel: 5.4.0-0.bpo.2-amd64
repeat_to: 3
bad_samples:
- 182.6
- 184.3
- 193.9

#! queue options

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-13/9349d8ed5c28fa454a373af3435762d6828e6c2d/vmlinuz-6.9.0-12127-g9349d8ed5c28"
result_root: "/result/fsmark/performance-1BRD_48G-4M-ext4-nfsv4-1x-1t-fsyncBeforeClose-24G/lkp-csl-2sp3/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/9349d8ed5c28fa454a373af3435762d6828e6c2d/0"

#! schedule options

#! /cephfs/db/releases/20240526150822/lkp-src/include/site/inn
dequeue_time: 2024-05-26 17:26:34.775474663 +08:00
job_state: finished
loadavg: 2.62 0.83 0.29 1/1012 6212
start_time: '1716715736'
end_time: '1716715767'
version: "/lkp/lkp/.src-20240526-143500:e90e1d130940:21169e8c698a"
